View Issue Details

IDProjectCategoryLast Update
0005170AI WarSuggestion - Campaign Management And Setup - Map Styles And GenerationJun 14, 2013 7:26 pm
ReporterdoctorfrogAssigned Tokeith.lamothe 
Severityminor 
Status closedResolutionfixed 
Product Version5.020 
Fixed in Version6.047 
Summary0005170: Map Planet Location Jitter Button
DescriptionA good mediation between the chaos of the random maps and the grid-like maps (grid, maze, etc.) would be to introduce a 'jitter' button. This would adjust the planet locations slightly, and randomly, to produce a map that still has the properties of a rigid map type, but with a more organic look. This melds the randomness that seems to be intended with the tree and vines type maps, but without the horrible layout associated with these map types.

How this would look is:
Figure 1 (see attachment) player selects a map type, in this case, Maze D.
Figure 2 (see attachment) player clicks a 'jitter' button to randomly bump planet locations to make things look a little more random, but still retaining the sensibility of the chosen map type.

Rationale: the Maze map types are quite compelling. They have a good layout, but they lack the organic look of the other maps. Randomly assigning locations will give that organic look of other map types, but will retain the readability of the maze map.

Additional option: player can adjust the degree to which planet locations can be skewed, so they can retain control over how "far out" the map looks.
TagsNo tags attached.
Internal WeightFeature Suggestion

Relationships

related to 0011793 resolvedkeith.lamothe Disentangle certain map types after generation 

Activities

Hearteater

Nov 11, 2011 5:29 pm

reporter   ~0017499

Another option besides making yet another lobby option, would be to always jitter those map types, but set up the alternate map view for all players to the non-jittered map that is currently generated.

doctorfrog

May 21, 2013 5:40 pm

reporter   ~0032553

More thinking on this. This could be a checkbox in the lobby's map selection tab. Checking the box would "jitter" the points on the map displayed to a subtle degree. Unchecking the box removes jitter. Repeatedly checking and unchecking the box applies other random shakeups.

Also my example up there is a little bit too chaotic, but gets the point across.

TechSY730

May 21, 2013 6:16 pm

reporter   ~0032556

Wouldn't "unapplying" jitter to things like tree, snake, and spokes require those map types to have an "unjittered" version to begin with.

BTW, I would really happy to get such "unjittered" versions.

LintMan

May 25, 2013 6:50 pm

reporter   ~0032627

I'd call it "straightened out" or "flattened" rather than unjittered, but yes, I'd love that also. for those maps. The criss-crossing of the wormhole lines gives me a headache trying to sort of what is connected where, so I generally avoid these types though I'd be happy to use them otherwise.

My guess is that it would be easier to just generate them already straightened out, and provide the jitter option, than try to implement an "unjitter"

doctorfrog

Jun 12, 2013 11:39 pm

reporter   ~0032876

This feature is somewhat addressed by the "untangle" option new to this version. Repeated double-clicks on the "untangle" button will have a fair enough jitter effect for my purposes.

keith.lamothe

Jun 13, 2013 11:54 am

administrator   ~0032904

Closing per your comment, glad it's working out :)

TechSY730

Jun 14, 2013 7:26 pm

reporter   ~0032930

Lol, using an "untangle" feature for making the map more "messy".

Well, whatever works.

Issue History

Date Modified Username Field Change
Nov 11, 2011 4:22 pm doctorfrog New Issue
Nov 11, 2011 4:22 pm doctorfrog File Added: Screenshot_2011_11_11_13_16_10.png
Nov 11, 2011 4:23 pm doctorfrog Category Suggestion - New Features => Suggestion - Campaign Management And Setup - Map Styles And Generation
Nov 11, 2011 4:23 pm doctorfrog Product Version => 5.020
Nov 11, 2011 4:26 pm tigersfan Internal Weight => Feature Suggestion
Nov 11, 2011 4:26 pm tigersfan Status new => considering
Nov 11, 2011 4:40 pm doctorfrog File Added: Screenshot_2011_11_11_13_18_56.png
Nov 11, 2011 5:29 pm Hearteater Note Added: 0017499
May 21, 2013 5:40 pm doctorfrog Note Added: 0032553
May 21, 2013 6:16 pm TechSY730 Note Added: 0032556
May 25, 2013 6:50 pm LintMan Note Added: 0032627
Jun 8, 2013 1:03 pm doctorfrog Relationship added related to 0011793
Jun 12, 2013 11:39 pm doctorfrog Note Added: 0032876
Jun 12, 2013 11:39 pm doctorfrog Resolution open => fixed
Jun 12, 2013 11:39 pm doctorfrog Fixed in Version => 6.047
Jun 13, 2013 11:54 am keith.lamothe Note Added: 0032904
Jun 13, 2013 11:54 am keith.lamothe Status considering => closed
Jun 13, 2013 11:54 am keith.lamothe Assigned To => keith.lamothe
Jun 14, 2013 7:26 pm TechSY730 Note Added: 0032930